package de.unima.ki.javakurs.tag3.demo;

public class Point {

	private int x;
	private int y;

	private static int counter;

	public Point() {
		counter++;
		x = 0;
		y = 0;
	}

	public Point(int x, int y) {
		this.x = x;
		this.y = y;
		counter++;
	}

	public void setX(int x) {
		this.x = x;
	}

	public void setY(int y) {
		this.y = y;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public int getCount() {
		return counter;
	}

	@Override
	public boolean equals(Object obj) {
		Point p;
		if (obj instanceof Point) {
			p = (Point) obj;
		} else {
			return false;
		}
		if (p.x == x && p.y == y) {
			return true;
		}
		return false;
	}

	@Override
	public String toString() {
		String s = "X: " + x + " Y: " + y;
		return s;
	}

}
