package de.unima.ki.javakurs.tag3.fortbewegungsmittel;

import static org.junit.Assert.*;

import org.junit.Test;

public class TestSammlerfahrrad {

	@Test
	public void test() {
		SammlerFahrrad f = new SammlerFahrrad(1, 50., 2, 100);
		assertEquals(1, f.getKapazitaet());
		assertEquals(0., f.getKosten(10), 0.01);
		assertEquals(0., f.getKostenProKm(), 0.01);
		assertEquals(200., f.getWert(), 0.01);
		assertEquals(2, f.getAnzahlAusstellungen());
		f.addAusstellung();
		assertEquals(250., f.getWert(), 0.01);
		assertEquals(3, f.getAnzahlAusstellungen());
	}

}
