package de.unima.ki.javakurs.tag3.fortbewegungsmittel;

public class SammlerFahrrad extends Fahrrad implements Sammlerstueck {

	private int ausstellungen;
	private double wert;
	private double wertsteigerung;

	public SammlerFahrrad(int kapazitaet, double wertsteigerung,
			int ausstellungen, double wert) {
		super(kapazitaet);
		this.wert = wert;
		this.wertsteigerung = wertsteigerung;
		this.ausstellungen = ausstellungen;
	}

	@Override
	public int getAnzahlAusstellungen() {
		return ausstellungen;
	}

	@Override
	public double getWert() {
		return wert + ausstellungen * wertsteigerung;
	}

	@Override
	public void addAusstellung() {
		ausstellungen++;

	}

}
